#define XERR
#include "sections.ih"

// d_orderTxt contains files like 
//  57/description.txt
//  57/strings/strings.h
// ..
// 58/description.txt
// ..
// 
// at each new base a section starts, whereafter the contents of those
// files are inserted.

void Sections::insert() const
{
    for (MapValue const &value: d_map)
    {
        d_out << "\\section*{" << value.first << "}\n";

        for (Element const &element: value.second)
        {
            if (element.type != SKIP)
                insert(element);
        }
    }
}






